<?php
session_start();
  require("config.php");
  // o usuário está logado?
  if(!isset($_SESSION["id_usuario_logado"])){
    header("Location: login.php");
    exit;
  }

  header("Cache-Control: no-cache, must-revalidate");
  header("Expires: Mon, 26 Jul 1997 05:00:00 GMT");
  header("Content-Type: text/xml");

 // tem permissão para excluir?
  if(!Permissao::podeExcluir($_SESSION["nivel_acesso"])){
	header("Location: erro_permissao.php");
    exit;  
  }
  // fim permissão para excluir

$id_usuario_logado = $_SESSION["id_usuario_logado"];
$nome_arquivo = tratar_entrada(utf8_decode(trim($_POST["nome_arquivo"])));

  // vamos excluir este anexo da tabela
  $result = mysqli_query($conexao, "DELETE FROM anexos_pagamentos_recebimentos WHERE arquivo = '$nome_arquivo'");
  if($result){
	 
	 // agora removemos o anexo do diretório de documentos
	 unlink($diretorio_documentos_pagamentos_recebimentos . "/" . $nome_arquivo);
	 
echo "<?xml version=\"1.0\" encoding=\"iso-8859-1\"?>\n";
echo "<mensagens>\n";
  
echo "  <mensagem>\n";
echo "    <texto>Ok</texto>\n";
echo "  </mensagem>\n";
echo "</mensagens>\n";
   
  }
  else{
	echo "<h1>Houve um erro no cadastro de entradas: " . mysqli_error($conexao) . "</h1>";  
  }
?>
